import type { LanguageInput, ThemeRegistrationAny } from '@shikijs/types';
import type { FunctionComponent } from 'react';
import type { ScrollViewProps, StyleProp, TextStyle, ViewStyle } from 'react-native';
interface SyntaxHighlighterProps {
    text: string;
    language?: LanguageInput;
    languageId?: string;
    theme: ThemeRegistrationAny;
    fontSize?: number;
    scrollViewProps?: ScrollViewProps;
    textStyle?: StyleProp<TextStyle>;
    containerStyle?: StyleProp<ViewStyle>;
}
declare const SyntaxHighlighter: FunctionComponent<SyntaxHighlighterProps>;
export default SyntaxHighlighter;
//# sourceMappingURL=SyntaxHighlighter.d.ts.map